plot.bss {JADE} | R Documentation

## Plotting an Object of Class bss

### Description

Plots the estimated sources resulting from an bss method. If the bss method is based on second order assumptions and returned the sources as a time series object it will plot the sources using `plot.ts`, otherwise it will plot a scatter plot matrix using `pairs` or `plot` if there are only two sources.

### Usage

    ## S3 method for class 'bss'
    plot(x, ...)

### Arguments

`x` | object of class bss.
`...` | further arguments to be passed to or from methods.

### Author(s)

Klaus Nordhausen

### See Also

`plot.ts`, `pairs`, `plot`

### Examples

    A<- matrix(rnorm(9),3,3)
    s1 <- arima.sim(list(ar=c(0.3,0.6)),1000)
    s2 <- arima.sim(list(ma=c(-0.3,0.3)),1000)
    s3 <- arima.sim(list(ar=c(-0.8,0.1)),1000)

    S <- cbind(s1,s2,s3)
    X <- S %*% t(A)

    res1 <- AMUSE(X)
    plot(res1)
    # not so useful:
    plot(res1, plot.type = "single", col=1:3)

    # not meaningful for this data
    res2 <- JADE(X)
    plot(res2)

[Package JADE version 2.0-2 Index]